#!/bin/bash

CLIENT_ID=<Mix client ID, starting with appID:>
SECRET=<Mix secret>
#Change colons (:) to %3A in client ID
CLIENT_ID=${CLIENT_ID//:/%3A}

export MY_TOKEN="`curl -s -u "$CLIENT_ID:$SECRET" \
"https://auth.crt.nuance.com/oauth2/token" \
-d 'grant_type=client_credentials' -d 'scope=asr nlu tts dlg' \
| python -c 'import sys, json; print(json.load(sys.stdin)["access_token"])'`"

python3 storage-client.py --server_url tts.api.nuance.com --token $MY_TOKEN \
--upload --type user_dictionary --file resources/user-dictionary-1.dcb \
--context_tag coffee_app --name coffee_dict \
--language en-us

#python3 storage-client.py --server_url tts.api.nuance.com --token $MY_TOKEN \
#--upload --type activeprompt --file resources/activeprompts.zip \
#--context_tag coffee_app --name coffee_prompts \
#--voice evan --voice_model enhanced --voice_version 1.0.0 \
#--vocalizer_studio_version 3.4

#python3 storage-client.py --server_url tts.api.nuance.com --token $MY_TOKEN \
#--upload --type text_ruleset --file resources/ruleset-1.rst.txt \
#--context_tag coffee_app --name coffee_rules \
#--language en-us

#python3 storage-client.py --server_url tts.api.nuance.com --token $MY_TOKEN \
#--upload --type wav --file resources/test.wav \
#--context_tag coffee_app --name beep

# python3 storage-client.py --server_url tts.api.nuance.com --token $MY_TOKEN \
# --delete \
# --uri urn:nuance-mix:tag:tuning:lang/coffee_app/coffee_rules/en-us/mix.tts 
